package com.steerinfo.ems.emswebsocketlog.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="websocket消息日志表")
public class EmsWebsocketLog implements IBasePO<String> {
    /**
     * id(MESSAGEID,VARCHAR,50)
     */
    @ApiModelProperty(value="id",required=true)
    private String messageid;

    /**
     * 消息关联ID(RELATION,VARCHAR,255)
     */
    @ApiModelProperty(value="消息关联ID",required=false)
    private String relation;

    /**
     * 消息权限(ROLE,VARCHAR,255)
     */
    @ApiModelProperty(value="消息权限",required=false)
    private String role;

    /**
     * 消息标题(TITLE,VARCHAR,50)
     */
    @ApiModelProperty(value="消息标题",required=false)
    private String title;

    /**
     * 消息(MESSAGE,VARCHAR,1000)
     */
    @ApiModelProperty(value="消息",required=false)
    private String message;

    /**
     * 语音提示(TIPS,VARCHAR,255)
     */
    @ApiModelProperty(value="语音提示",required=false)
    private String tips;

    /**
     * 消息状态(STATE,VARCHAR,10)
     */
    @ApiModelProperty(value="消息状态",required=false)
    private String state;

    /**
     * 消息创建时间(CREATETIME,VARCHAR,30)
     */
    @ApiModelProperty(value="消息创建时间",required=false)
    private String createtime;

    /**
     * 消息创建人(CREATEMAN,VARCHAR,50)
     */
    @ApiModelProperty(value="消息创建人",required=false)
    private String createman;

    /**
     * 消息关闭时间(CLOSETIME,VARCHAR,30)
     */
    @ApiModelProperty(value="消息关闭时间",required=false)
    private String closetime;

    /**
     * 消息关闭人(CLOSEMAN,VARCHAR,1000)
     */
    @ApiModelProperty(value="消息关闭人",required=false)
    private String closeman;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.messageid;
    }

    @Override
    public void setId(String messageid) {
        this.messageid = messageid == null ? null : messageid.trim();
    }

    public String getMessageid() {
        return messageid;
    }

    public void setMessageid(String messageid) {
        this.messageid = messageid == null ? null : messageid.trim();
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation == null ? null : relation.trim();
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role == null ? null : role.trim();
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message == null ? null : message.trim();
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips == null ? null : tips.trim();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public String getClosetime() {
        return closetime;
    }

    public void setClosetime(String closetime) {
        this.closetime = closetime == null ? null : closetime.trim();
    }

    public String getCloseman() {
        return closeman;
    }

    public void setCloseman(String closeman) {
        this.closeman = closeman == null ? null : closeman.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", messageid=").append(messageid);
        sb.append(", relation=").append(relation);
        sb.append(", role=").append(role);
        sb.append(", title=").append(title);
        sb.append(", message=").append(message);
        sb.append(", tips=").append(tips);
        sb.append(", state=").append(state);
        sb.append(", createtime=").append(createtime);
        sb.append(", createman=").append(createman);
        sb.append(", closetime=").append(closetime);
        sb.append(", closeman=").append(closeman);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}